Bug 165003 - [patch] audio/icecast2 2.3.2 may leak memory and take extra CPU time
Summary: [patch] audio/icecast2 2.3.2 may leak memory and take extra CPU time
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-11 20:40 UTC by Eugene Grosbein
Modified: 2012-04-27 12:10 UTC (History)
0 users

See Also:


Attachments
file.diff (541 bytes, patch)
2012-02-11 20:40 UTC, Eugene Grosbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Grosbein 2012-02-11 20:40:08 UTC
	icecast2-2.3.2_7,1 built from ports tree may leak memory.
	When it leaks, its size grows and CPU time grows enormously too.
	After it reaches 2Gb for i386 system, it is killed with a signal.

Fix: The following 2 years old patch was taken from
http://old.nabble.com/Memory-leak-on-Icecast-2.3.2---Debian---td26691536.html

	It eliminates the problem fixing memory leak.
How-To-Repeat: 
	Run busy icecast2 server.
Comment 1 Tilman Keskinoz freebsd_committer 2012-02-27 13:55:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

This is actually about icecast2, over to maintainer
Comment 2 Eugene Grosbein 2012-04-23 15:40:28 UTC
Hi!

Maintainer timeout has occured long time ago for this PR.
Please commit the patch, it works just fine for our pretty busy icecast2 servers,
about 2Gbit/s of generated traffic, in production.

Eugene Grosbein
Comment 3 Po-Chuan Hsieh freebsd_committer 2012-04-27 12:09:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2012-04-27 12:09:48 UTC
sunpoet     2012-04-27 11:09:33 UTC

  FreeBSD ports repository

  Modified files:
    audio/icecast2       Makefile 
  Added files:
    audio/icecast2/files patch-src-stats.c 
  Log:
  - Fix memory leak
  - Bump PORTREVISION for package change
  
  PR:             ports/165003
  Submitted by:   Eugene Grosbein <eugen@grosbein.net>
  Obtained from:  http://old.nabble.com/Memory-leak-on-Icecast-2.3.2---Debian---td26691536.html
  
  Revision  Changes    Path
  1.71      +1 -1      ports/audio/icecast2/Makefile
  1.1       +14 -0     ports/audio/icecast2/files/patch-src-stats.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"